<template>
  <component :is="component" v-if="component" />
</template>

<script>
export default {
  name: 'Main',
  data() {
    return {
      component: null,
    }
  },
  computed: {
    loader() {
      return () => import(`@/views/${this.$basicinfo.homepage_path}/index.vue`)
    },
  },
  mounted() {
    this.loader().then(() => {
      this.component = () => this.loader()
    })
  },
}
</script>
